Subject: Re: Default linker output filename
From: [email-masked] (Geoffrey Noer)

4 Nov 1996 22:49:22 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Wade Richards)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Wade Richards" at Nov 2, 96 03:37:17 pm
Original-Sender: [email-masked]

Wade Richards taps on the keyboard:
> 
> I would suggest a.out.exe.  In my opinion, the only reason to leave it
> anything like the UNIX standard, a.out, is for compatability.  In this case,
> close is not close enough.  If some program (say, a "configure" script)
> compilies code and expects to run "a.out", it won't find "aout.exe", no
> matter how close you think the name is.  On the other hand, if there is a
> file called "a.out.exe", and your script executes "a.out", it will work.

Well, I've done some testing and Win95 in the command prompt won't
recognize a.out.exe as a valid executable when I type ".\a.out".

Since the only reason to change the default exec name is for Win 95
compatibility, a.out.exe is out as an option I think.

Time to find out just how many configury things break with "a.exe"
I think...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".